Package com.google.android.exoplayer2.extractor.ts

## Interface SectionPayloadReader

- All Known Implementing Classes:
    `PassthroughSectionPayloadReader`

      public interface SectionPayloadReader

  Reads section data.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `consume​(ParsableByteArray sectionData)` | Called by a `SectionReader` when a full section is received.
    `void` | `init​(TimestampAdjuster timestampAdjuster, ExtractorOutput extractorOutput, TsPayloadReader.TrackIdGenerator idGenerator)` | Initializes the section payload reader.

- - ### Method Detail

    - #### init

          void init​(TimestampAdjuster timestampAdjuster,
                    ExtractorOutput extractorOutput,
                    TsPayloadReader.TrackIdGenerator idGenerator)

      Initializes the section payload reader.
      Parameters:
        `timestampAdjuster` - A timestamp adjuster for offsetting and scaling sample timestamps.
        `extractorOutput` - The `ExtractorOutput` that receives the extracted data.
        `idGenerator` - A `TsPayloadReader.TrackIdGenerator` that generates unique track ids for the `TrackOutput`s.

    - #### consume

          void consume​(ParsableByteArray sectionData)

      Called by a `SectionReader` when a full section is received.
      Parameters:
        `sectionData` - The data belonging to a section starting from the table_id. If section_syntax_indicator is set to '1', `sectionData` excludes the CRC_32 field. Otherwise, all bytes belonging to the table section are included.